<#ibiztemplate>
FILENAME=web.xml
PUBOBJ=WebAppConfig
</#ibiztemplate>
<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" version="2.5">
  <display-name>${sys.codeName}</display-name>
   <filter>
		<filter-name>encodingFilter</filter-name>
		<filter-class>
		org.springframework.web.filter.CharacterEncodingFilter
		</filter-class>
		<init-param>
		<param-name>encoding</param-name>
		<param-value>UTF-8</param-value>
		</init-param>
		<init-param>
		<param-name>forceEncoding</param-name>
		<param-value>true</param-value>
		</init-param>
	</filter>

	<filter-mapping>
		<filter-name>encodingFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	 
    <filter>
		<filter-name>iBizSysFilter</filter-name>
		<filter-class>net.ibizsys.paas.web.WebFilter</filter-class>
		<init-param>
			<param-name>SYSTEMID</param-name>
			<param-value>${sys.codeName}</param-value>
		</init-param>
		<init-param>
			<param-name>WEBCONTEXT</param-name>
			<param-value>${pub.getPKGCodeName()}.srv.web.WebContext</param-value>
		</init-param>
		<init-param>
			<param-name>AUTHFILTER</param-name>
			<param-value>FALSE</param-value>
		</init-param>
		<init-param>
			<param-name>AUTHPATH</param-name>
			<param-value>/uacclient/uaclogin.jsp</param-value>
		</init-param>
		<init-param>
			<param-name>FILEPATH</param-name>
			<param-value>C:\SRFEX_FILE\</param-value>
		</init-param>
		<init-param>
			<param-name>TEMPPATH</param-name>
			<param-value>C:\SRFEX_TEMP\</param-value>
		</init-param>
	</filter>

	<filter-mapping>
		<filter-name>iBizSysFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	
<#comment>	
	<filter>
		<filter-name>SA UAC Filter</filter-name>
		<filter-class>net.ibizsys.psuac.web.AuthenticationFilter</filter-class>
		<init-param>
			<param-name>UACLOGINURL</param-name>
			<param-value>http://lionlau-w530:8020/SAUAC/login</param-value>
		</init-param>
		<init-param>
			<param-name>UACSERVER</param-name>
			<param-value>http://lionlau-w530:8020/SAUAC/</param-value>
		</init-param>
		<init-param>
			<param-name>SERVERNAME</param-name>
			<param-value>http://lionlau-w530:8050</param-value>
		</init-param>
	</filter>

	<filter-mapping>
		<filter-name>SA UAC Filter</filter-name>
		<url-pattern>/uacclient/uaclogin2.jsp</url-pattern>
	</filter-mapping>

	<filter>
		<filter-name>SA UAC Filter2</filter-name>
		<filter-class>net.ibizsys.psuac.web.TicketValidationFilter</filter-class>
		<init-param>
			<param-name>UACSERVER</param-name>
			<param-value>http://lionlau-w530:8020/SAUAC/</param-value>
		</init-param>
		<init-param>
			<param-name>SERVERNAME</param-name>
			<param-value>http://lionlau-w530:8050</param-value>
		</init-param>
	</filter>

	<filter-mapping>
		<filter-name>SA UAC Filter2</filter-name>
		<url-pattern>/uacclient/uaclogin2.jsp</url-pattern>
	</filter-mapping>


	<filter>
		<filter-name>SA UAC Filter3</filter-name>
		<filter-class>net.ibizsys.psuac.web.AuthenticationFilter</filter-class>
		<init-param>
			<param-name>UACLOGINURL</param-name>
			<param-value>http://172.16.100.88:8020/SAUAC/login</param-value>
		</init-param>
		<init-param>
			<param-name>UACSERVER</param-name>
			<param-value>http://172.16.100.88:8020/SAUAC/</param-value>
		</init-param>
		<init-param>
			<param-name>SERVERNAME</param-name>
			<param-value>http://172.16.100.88:8050</param-value>
		</init-param>
	</filter>

	<filter-mapping>
		<filter-name>SA UAC Filter3</filter-name>
		<url-pattern>/uacclient/uaclogin4.jsp</url-pattern>
	</filter-mapping>

	<filter>
		<filter-name>SA UAC Filter4</filter-name>
		<filter-class>net.ibizsys.psuac.web.TicketValidationFilter</filter-class>
		<init-param>
			<param-name>UACSERVER</param-name>
			<param-value>http://172.16.100.88:8020/SAUAC/</param-value>
		</init-param>
		<init-param>
			<param-name>SERVERNAME</param-name>
			<param-value>http://172.16.100.88:8050</param-value>
		</init-param>
	</filter>

	<filter-mapping>
		<filter-name>SA UAC Filter4</filter-name>
		<url-pattern>/uacclient/uaclogin4.jsp</url-pattern>
	</filter-mapping>
</#comment>	
	<filter>    
        <filter-name>openSessionInViewFilter</filter-name>    
        <filter-class>org.springframework.orm.hibernate4.support.OpenSessionInViewFilter</filter-class>    
        <init-param>    
            <param-name>sessionFactoryBeanName</param-name>    
            <param-value>sessionFactory</param-value>    
        </init-param>    
        <init-param>    
            <param-name>singleSession</param-name>    
            <param-value>true</param-value>    
        </init-param>    
    </filter>    
    <filter-mapping>    
        <filter-name>openSessionInViewFilter</filter-name>    
        <url-pattern>*.do</url-pattern>    
	</filter-mapping>
    
	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>classpath:/applicationContext*.xml</param-value>
	</context-param>
	<listener>
		<listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
	</listener>
	<!-- 定义DispatcherServlet -->
	<servlet>
		<servlet-name>ibizsys-dispatcher</servlet-name>
		<servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
		<init-param>
			<!-- 默认/WEB-INF/[servlet名字]-servlet.xml加载上下文， 
				如果配置了contextConfigLocation参数，
				将使用classpath:/ibizsys-dispatcher-servlet.xml加载上下文
			-->
			<param-name>contextConfigLocation</param-name>
			<param-value>classpath:/ibizsys-dispatcher-servlet.xml</param-value>
		</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<!-- 拦截匹配的请求，这里所有请求采用名字为ibizsys-dispatcher的DispatcherServlet处理 -->
	<servlet-mapping>
		<servlet-name>ibizsys-dispatcher</servlet-name>
		<url-pattern>*.do</url-pattern>
	</servlet-mapping>
	
	
	<#if sys.getAllPSSysServiceAPIs()??>
	<!-- 定义DispatcherServlet API  -->
	<servlet>
		<servlet-name>ibizsys-dispatcher-api</servlet-name>
		<servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
		<init-param>
			<param-name>contextConfigLocation</param-name>
			<param-value>classpath:/ibizsys-dispatcher-servlet-api.xml</param-value>
		</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>ibizsys-dispatcher-api</servlet-name>
		<url-pattern>/api/*</url-pattern>
	</servlet-mapping>
	</#if>
	
	
	 <!-- 系统API -->
	<servlet>
		<servlet-name>RemoteLoginServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.RemoteLoginServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>RemoteLoginServlet</servlet-name>
		<url-pattern>/api/login</url-pattern>
	</servlet-mapping>
	
	 <servlet>
		<servlet-name>CoreAPIServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.CoreAPIServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>CoreAPIServlet</servlet-name>
		<url-pattern>/api/core</url-pattern>
	</servlet-mapping>
	
	<servlet>
		<servlet-name>WFAPIServlet</servlet-name>
		<servlet-class>net.ibizsys.pswf.web.util.WFAPIServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>WFAPIServlet</servlet-name>
		<url-pattern>/api/wf</url-pattern>
	</servlet-mapping>

<#if sys.getAllPSApps()??>
<#list sys.getAllPSApps() as app>
	<!-- ${app.getPKGCodeName()} Start-->
	<servlet>
		<servlet-name>${app.getPKGCodeName()}LoginRedirectServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.HttpRedirectServlet</servlet-class>
		<init-param>
	       <param-name>REDIRECTURL</param-name>
	       <param-value>/${app.getAppFolder()?lower_case}/ibizutil/login.html</param-value>
	   	</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}LoginRedirectServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/login2.html</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}LoginServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.LoginServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}LoginServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/login.do</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}LogoutServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.LogoutServlet</servlet-class>
		<init-param>
	       <param-name>APPLICATIONID</param-name>
	       <param-value>${pub.getPKGCodeName()}.${app.getAppFolder()?lower_case}.${app.getPKGCodeName()}AppModel</param-value>
	   	</init-param>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}LogoutServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/logout</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}InitSystemEnvServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.InitSystemEnvServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}InitSystemEnvServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/initsystemenv.do</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}InstallRTDataServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.InstallRTDataServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}InstallRTDataServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/installrtdata.do</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}ExportExcelServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.ExportExcelServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}ExportExcelServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/exportexcel</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}ExportFileServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.ExportFileServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}ExportFileServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/exportfile</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}ExportFile2Servlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.ExportFile2Servlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}ExportFile2Servlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/exportfile2</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}ExportFile3Servlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.ExportFile3Servlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}ExportFile3Servlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/exportfile3</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}UploadDEDataSaveServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.UploadDEDataSaveServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}UploadDEDataSaveServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/uploaddedata.do</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}UploadFileSaveServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.UploadFileSaveServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}UploadFileSaveServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/uploadfile.do</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}PDFPrintServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.PrintServlet</servlet-class>
		<init-param>
			<param-name>CONTENTTYPE</param-name>
			<param-value>PDF</param-value>
		</init-param>
		<init-param>
			<param-name>FILEFOLDER</param-name>
			<param-value>/${app.getAppFolder()?lower_case}/print/</param-value>
		</init-param>		
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}PDFPrintServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/print.pdf</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}PDFReportServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.ReportServlet</servlet-class>
		<init-param>
			<param-name>CONTENTTYPE</param-name>
			<param-value>PDF</param-value>
		</init-param>
		<init-param>
			<param-name>FILEFOLDER</param-name>
			<param-value>/${app.getAppFolder()?lower_case}/report/</param-value>
		</init-param>		
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}PDFReportServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/report.pdf</url-pattern>
	</servlet-mapping>
	<#if sys.hasPSWFEngineType("ACTIVITI")>
	<servlet>
		<servlet-name>${app.getPKGCodeName()}WFActivitiTraceChartServlet</servlet-name>
		<servlet-class>net.ibizsys.pswf.web.util.WFActivitiTraceChartServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>${app.getPKGCodeName()}WFActivitiTraceChartServlet</servlet-name>
		<url-pattern>/${app.getAppFolder()?lower_case}/ibizutil/wfactivititracechart.do</url-pattern>
	</servlet-mapping>
	</#if>
	<!-- ${app.getPKGCodeName()} End -->
</#list>
</#if>

	<servlet>
		<servlet-name>LoginServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.LoginServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>LoginServlet</servlet-name>
		<url-pattern>/ibizutil/login.do</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>InitSystemEnvServlet</servlet-name>
		<servlet-class>net.ibizsys.paas.web.util.InitSystemEnvServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>InitSystemEnvServlet</servlet-name>
		<url-pattern>/ibizutil/initsystemenv.do</url-pattern>
	</servlet-mapping>
	<error-page>
		<error-code>404</error-code>
		<location>/ibizutil/404.html</location>
	</error-page>
	<error-page>
		<error-code>500</error-code>
		<location>/ibizutil/500.html</location>
	</error-page>
</web-app>